Bug 643771 - [abrt] gpredict-0.9.0-6.fc13: scan_tle_file: Process /usr/bin/gpredict was killed by signal 11 (SIGSEGV)
Summary: [abrt] gpredict-0.9.0-6.fc13: scan_tle_file: Process /usr/bin/gpredict was ki...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpredict
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e8c3b7fdd9d36ef6f066aafcc5f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-18 00:56 UTC by isaac1987a
Modified: 2010-12-07 20:17 UTC (History)
2 users (show)

Fixed In Version: gpredict-1.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-07 20:17:14 UTC


Attachments (Terms of Use)
File: backtrace (50.99 KB, text/plain)
2010-10-18 00:56 UTC, isaac1987a
no flags Details

Description isaac1987a 2010-10-18 00:56:33 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: gpredict
component: gpredict
crash_function: scan_tle_file
executable: /usr/bin/gpredict
kernel: 2.6.34.6-54.fc13.x86_64
package: gpredict-0.9.0-6.fc13
rating: 4
reason: Process /usr/bin/gpredict was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1286728463
uid: 500

How to reproduce
-----
This is a problem with the system trying to read incorrectly formatted TLE files. 
If the spacing is incorrect in a TLE in the TLE folder the program will crash on start even if the TLE is not being used.

Comment 1 isaac1987a 2010-10-18 00:56:35 UTC
Created attachment 453976 [details]
File: backtrace

Comment 2 Fedora Update System 2010-11-21 04:28:45 UTC
gpredict-1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gpredict-1.2-1.fc14

Comment 3 Fedora Update System 2010-11-21 21:56:22 UTC
gpredict-1.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpredict'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gpredict-1.2-1.fc14

Comment 4 hamaa1vs 2010-12-05 17:02:20 UTC
Is there any chance that a copy of the corrupting tle file could be attached to this bug?

Comment 5 Fedora Update System 2010-12-07 20:16:52 UTC
gpredict-1.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.